import { PersistStore, PersistStoreOptions } from "./types";
export declare function createPersistStore<P>(options: PersistStoreOptions<P>): PersistStore<P>;
/**
 * Schedules a microtask.
 * This can be useful to schedule state updates after rendering.
 */
export declare function scheduleMicrotask(callback: () => void): void;
